Home CVE Database CVE-2017-14140

CVE-2017-14140

Description

The move_pages system call in mm/migrate.c in the Linux kernel before 4.12.9 doesn\'t check the effective uid of the target process, enabling a local attacker to learn the memory layout of a setuid executable despite ASLR.

Priority: Low
CVSS v3: 5.5
Publish Date: Sep 5, 2017
Related ID: --
CVSS v2: Medium
Modified Date: Sep 6, 2017

Find out more about CVE-2017-14140 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Product Name Status Defect Fixed Downloads
Linux
Wind River Linux LTS 17 Not Vulnerable -- -- --
Wind River Linux 8 Fixed LIN8-7702
8.0.0.23 --
Wind River Linux 9 Fixed LIN9-5304
9.0.0.11 --
Wind River Linux 7 Fixed -- 7.0.0.27 --
Wind River Linux LTS 18 Not Vulnerable -- -- --
Wind River Linux LTS 19 Not Vulnerable -- -- --
Wind River Linux CD release Not Vulnerable -- -- --
VxWorks
VxWorks 7 Not Vulnerable -- -- --
VxWorks 6.9 Not Vulnerable -- -- --

Related Products

Product Name Status Defect Fixed Downloads

Comments

linux

Live chat
Online